package alfred.web.core

import org.springframework.stereotype.Service

@Service
class Processes {

    fun builder(config: BuildConfig, logFile: LogFile, rev: String): ProcessBuilder =
        ProcessBuilder()
            .redirectOutput(ProcessBuilder.Redirect.appendTo(logFile.backingFile))
            .redirectError(ProcessBuilder.Redirect.appendTo(logFile.backingFile))
            .apply {
                environment().putAll(config.env)
                environment()["ALFRED_LOG_FILE"] = logFile.backingFile.absolutePath
                environment()["ALFRED_REV"] = rev
            }

}
